Package owl.automaton

## Class AutomatonReader

- java.lang.Object
- - owl.automaton.AutomatonReader

-     public final class AutomatonReader
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AutomatonReader.HoaState` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Automaton<AutomatonReader.HoaState,​OmegaAcceptance>` | `readHoa​(Reader reader, Function<List<String>,​ValuationSetFactory> factorySupplier)` |
    `static <A extends OmegaAcceptance> Automaton<AutomatonReader.HoaState,​A>` | `readHoa​(Reader stream, Function<List<String>,​ValuationSetFactory> factorySupplier, Class<A> acceptanceClass)` |
    `static Automaton<AutomatonReader.HoaState,​OmegaAcceptance>` | `readHoa​(String string, Function<List<String>,​ValuationSetFactory> factorySupplier)` |
    `static <A extends OmegaAcceptance> Automaton<AutomatonReader.HoaState,​A>` | `readHoa​(String input, Function<List<String>,​ValuationSetFactory> factorySupplier, Class<A> acceptanceClass)` |
    `static void` | `readHoaStream​(Reader reader, Function<List<String>,​ValuationSetFactory> factorySupplier, Consumer<Automaton<AutomatonReader.HoaState,​?>> consumer)` |
    `static void` | `readHoaStream​(String string, Function<List<String>,​ValuationSetFactory> factorySupplier, Consumer<Automaton<AutomatonReader.HoaState,​?>> consumer)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### readHoaStream

          public static void readHoaStream​(String string,
                                           Function<List<String>,​ValuationSetFactory> factorySupplier,
                                           Consumer<Automaton<AutomatonReader.HoaState,​?>> consumer)
                                    throws jhoafparser.parser.generated.ParseException

      Throws:
        `jhoafparser.parser.generated.ParseException`

    - #### readHoaStream

          public static void readHoaStream​(Reader reader,
                                           Function<List<String>,​ValuationSetFactory> factorySupplier,
                                           Consumer<Automaton<AutomatonReader.HoaState,​?>> consumer)
                                    throws jhoafparser.parser.generated.ParseException

      Throws:
        `jhoafparser.parser.generated.ParseException`

    - #### readHoa

          public static Automaton<AutomatonReader.HoaState,​OmegaAcceptance> readHoa​(String string,
                                                                                          Function<List<String>,​ValuationSetFactory> factorySupplier)
                                                                                   throws jhoafparser.parser.generated.ParseException

      Throws:
        `jhoafparser.parser.generated.ParseException`

    - #### readHoa

          public static Automaton<AutomatonReader.HoaState,​OmegaAcceptance> readHoa​(Reader reader,
                                                                                          Function<List<String>,​ValuationSetFactory> factorySupplier)
                                                                                   throws jhoafparser.parser.generated.ParseException

      Throws:
        `jhoafparser.parser.generated.ParseException`

    - #### readHoa

          public static <A extends OmegaAcceptance> Automaton<AutomatonReader.HoaState,​A> readHoa​(String input,
                                                                                                        Function<List<String>,​ValuationSetFactory> factorySupplier,
                                                                                                        Class<A> acceptanceClass)
                                                                                                 throws jhoafparser.parser.generated.ParseException

      Throws:
        `jhoafparser.parser.generated.ParseException`

    - #### readHoa

          public static <A extends OmegaAcceptance> Automaton<AutomatonReader.HoaState,​A> readHoa​(Reader stream,
                                                                                                        Function<List<String>,​ValuationSetFactory> factorySupplier,
                                                                                                        Class<A> acceptanceClass)
                                                                                                 throws jhoafparser.parser.generated.ParseException

      Throws:
        `jhoafparser.parser.generated.ParseException`